#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_BINARY_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/kdeui
  ${CMAKE_SOURCE_DIR}/kio
  ${CMAKE_SOURCE_DIR}/kio/kfile
  ${CMAKE_SOURCE_DIR}/kio/kio
  ${CMAKE_BINARY_DIR}/kio/kfile
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
)

tde_add_check_executable( kurlrequestertest     LINK kio-shared )
tde_add_check_executable( kopenwithtest         LINK kio-shared )
tde_add_check_executable( kdirselectdialogtest  LINK kio-shared )
tde_add_check_executable( kicondialogtest       LINK kio-shared )
tde_add_check_executable( kcustommenueditortest LINK kio-shared )
tde_add_check_executable( kfilenotifytest       LINK kio-shared )

tde_add_check_executable( kfiletreeviewtest     AUTOMOC LINK kio-shared )

tde_add_check_executable( kfstest AUTOMOC
    SOURCES kfstest.cpp kfdtest.cpp LINK kio-shared )
